Public Member Functions | Data Fields

# GRFTextWrapper Struct Reference

Reference counted wrapper around a GRFText pointer. More...

`#include <newgrf_config.h>`

Inheritance diagram for GRFTextWrapper:

## Public Member Functions
| GRFTextWrapper ()
| Create a new GRFTextWrapper.
| ~GRFTextWrapper ()
| Cleanup a GRFTextWrapper object.
## Data Fields
struct GRFText * | text
| The actual text.

## Detailed Description

Reference counted wrapper around a GRFText pointer.

Definition at line 142 of file newgrf_config.h.

## Constructor & Destructor Documentation

GRFTextWrapper::GRFTextWrapper | ( |  | ) |

Create a new GRFTextWrapper.

Definition at line 29 of file newgrf_config.cpp.

GRFTextWrapper::~GRFTextWrapper | ( |  | ) |

Cleanup a GRFTextWrapper object.

Definition at line 35 of file newgrf_config.cpp.

References CleanUpGRFText(), and text.

The documentation for this struct was generated from the following files:

- src/newgrf_config.h
- src/newgrf_config.cpp